
@import url('https://fonts.googleapis.com/css2?family=Press+Start+2P&family=Inter:wght@300;400;700&display=swap');

*{
  margin:0;
  padding:0;
  box-sizing:border-box;
}

#fakeButton{
  display:inline-block;
  font-family:'Press Start 2P', cursive;
  margin-top:30px;
  padding:18px 60px;
  background:#cb0808;
  color:white;
  text-decoration:none;
  transition:.2s;
  font-size:12px;
  border:none;
  cursor:pointer;
    border-radius:0;

  box-shadow:
    0 -8px 20px rgba(203, 8, 8, 0.18),
    0 8px 20px rgba(203, 8, 8, 0.25);
}

#fakeButton:hover{
  transform:scale(1.05);
  background:#830100;
}

body{
  background:#0b0b0b;
  color:white;
  font-family:'Inter', sans-serif;
  overflow-x:hidden;
  
}

.textop {
   font-family:'Press Start 2P', cursive;
 font-size: 35px;
  color: #ffffff;
  position: relative;
  transition: color .2s, scale .2s;
  scale: 1.05;
}

.textop:hover {

  color: #830100;
}

.hero{
  position:relative;
  height:100vh;
  background:
    linear-gradient(rgba(0,0,0,.4), rgba(0,0,0,.9)),
    url(recursos/fondohero.png);
  background-size:cover;
  background-position:center;
}

nav{
  position:fixed;
  top:0;
  left:0;
  width:100%;

  display:flex;
  justify-content:space-between;
  align-items:center;

  padding:30px 60px;

  z-index:999;

  background:transparent;
}
nav h1{
  font-family:'Press Start 2P', cursive;
  font-size:18px;
  color:#830100;
 
}

.nav-links{
  display:flex;
  gap:40px;
}

.nav-links a{
  color:white;
  text-decoration:none;
  transition:.2s;
  font-family:'Press Start 2P', cursive;
  font-size:15px;
}
.nav-links a:hover{
  color:#830100;
}

.logo-container{
  display:flex;
  align-items:center;
  gap:15px;
}

.logo{
  width:55px;
  height:55px;
  object-fit:contain;
}

.hero-content{
  position:absolute;
  top:50%;
  left:50%;
  transform:translate(-50%, -50%);
  text-align:center;
  width:80%;
}

.hero-content h2{
  
  margin-bottom:20px;
}

.hero-content p{
  color:#c7c7c7;
  max-width:700px;
  margin:auto;
  line-height:1.7;
  font-size: 18px;
}

.btn{
  display:inline-block;
  font-family:'Press Start 2P', cursive;
  margin-top:30px;
  padding:18px 60px;
  background:#cb0808;
  color:rgb(255, 255, 255);
  text-decoration:none;
  
  transition:.2s;
  font-size:12px;
  border: #000000 solid 1px;

  box-shadow:
    0 -8px 20px rgba(203, 8, 8, 0.18),
    0 8px 20px rgba(203, 8, 8, 0.25);
}

.btn:hover{
  transform:scale(1.05);
}

section{
  padding:100px 10%;
}


.members{
  padding:40px 10% 100px;
  text-align:center;
}

.members h2{
  font-size:30px;
  margin-bottom:60px;
  font-family:'Press Start 2P', cursive;
}

.members-container{
  display:flex;
  justify-content:center;
  align-items:flex-start;
  gap:50px;
  flex-wrap:wrap;
}

.member-card{
  transition:.2s;
}

.member-card:hover{
  transform:translateY(-8px);
}

.member-card img{
  width:140px;
  height:140px;
  object-fit:contain;
  margin-bottom:15px;
}

.member-card p{
  font-family:'Press Start 2P', cursive;
  font-size:12px;
  color:white;
}
.intro,
.submit{
  text-align:center;
}

.intro p,
.submit p{
  max-width:700px;
  margin:20px auto;
  line-height:1.8;
  color:#c4c4c4;
}

.stories h2,
.fanarts h2,
.submit h2,
.intro h2,
footer h2{
  font-family:'Press Start 2P', cursive;
  margin-bottom:40px;
  font-size:30px;
}



.story-grid{
  display:grid;
  grid-template-columns:repeat(auto-fit,minmax(250px,1fr));
  gap:25px;
}

.card{
  background:#141414;
  border:1px solid #262626;
  padding:30px;
  border-radius:12px;
  transition:.2s;
}

.card:hover{
  transform:translateY(-5px);
  border-color:#830100;
}

.card h3{
  margin-bottom:15px;
}

.card p{
  color:#bcbcbc;
  line-height:1.7;
}

.gallery{
  display:grid;
  grid-template-columns:repeat(auto-fit,minmax(280px,1fr));
  gap:25px;
}

html{
  scroll-behavior:smooth;
}
.fanart-card{
  background:#141414;
  border-radius:12px;
  overflow:hidden;
  border:1px solid #262626;
  height:100%;
}

.fanart-card img{
  width:100%;
  height:320px;
  object-fit:cover;
  display:block;
}

.fanart-card p{
  padding:15px;
  color:#d1d1d1;
}

button{
  padding:15px 35px;
  background:#830100;
  border:none;
  font-weight:bold;
  cursor:pointer;
  border-radius:8px;
}

footer{
  padding:70px 10%;
  background:#050505;
  text-align:center;
}

.socials{
  display:flex;
  justify-content:center;
  gap:30px;
  margin-bottom:30px;
  flex-wrap:wrap;
}

.socials a{
  transition:.2s;
}

.socials a:hover{
  transform:scale(1.12);
}

.socials img{
  width:42px;
  height:42px;
  filter:
    brightness(0)
    saturate(100%)
    invert(11%)
    sepia(98%)
    saturate(6922%)
    hue-rotate(2deg)
    brightness(93%)
    contrast(118%);
}

.footer-text{
  color:#777;
}

@media(max-width:768px){

  nav{
    flex-direction:column;
    gap:20px;
    padding:30px;
  }

  .hero-content h2{
    font-size:30px;
  }

  .stories h2,
  .fanarts h2,
  .submit h2,
  .intro h2,
  footer h2{
    font-size:28px;
  }
}
